
AH BRAKE (THAILAND) CO., LTD. - Parent project #925

[PJ250004] MOC Monitoring system for AH Brake

11 Apr 2025 11:42 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025

Priority: Normal Due date:  

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 11:42 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 11 Apr 2025 11:42 - Karnthida Wannasiwaporn

- Assignee set to Karnthida Wannasiwaporn

#3 - 04 Nov 2025 16:12 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
